> For the complete documentation index, see [llms.txt](https://docs.pxserv.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pxserv.net/tr/javascript-typescript-kutuphanesi.md).

# JavaScript / TypeScript Kütüphanesi

PxServ npm paketi, Node.js veya tarayıcı ortamlarından PxServ API ile etkileşim kurmak için tiplendirilmiş bir istemci sağlar.

**Desteklenen işlemler:**

* Veritabanına veri kaydetme
* Değeri `0` ile `1` arasında geçiş yaptırma
* Veritabanından veri okuma
* Tüm verileri çekme
* Veritabanından veri silme

## Kurulum

```sh
npm install pxserv
```

## Kullanım

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const PxServ = require("pxserv").default;

const pxServ = new PxServ({
  apiKey: "api_anahtariniz",
});

(async () => {
  try {
    // Veri Kaydetme
    const setResult = await pxServ.setData("temp", "24.3°C");
    console.log("Kaydetme:", setResult);

    // Veri Okuma
    const getResult = await pxServ.getData("temp");
    console.log("Okuma:", getResult);

    // Veri Geçişi
    const toggleResult = await pxServ.toggleData("light");
    console.log("Geçiş:", toggleResult);

    // Tüm Verileri Çek
    const allData = await pxServ.getAll();
    console.log("Tümü:", allData);

    // Veri Silme
    await pxServ.removeData("temp");
    await pxServ.removeData("light");
    console.log("Veriler silindi.");
  } catch (err) {
    console.error("Hata:", err);
  }
})();
```

{% endtab %}

{% tab title="TypeScript" %}

```typescript
import PxServ from "pxserv";

const pxServ = new PxServ({
  apiKey: "api_anahtariniz",
});

(async () => {
  try {
    // Veri Kaydetme
    const setResult = await pxServ.setData("temp", "24.3°C");
    console.log("Kaydetme:", setResult);

    // Veri Okuma
    const getResult = await pxServ.getData("temp");
    console.log("Okuma:", getResult);

    // Veri Geçişi
    const toggleResult = await pxServ.toggleData("light");
    console.log("Geçiş:", toggleResult);

    // Tüm Verileri Çek
    const allData = await pxServ.getAll();
    console.log("Tümü:", allData);

    // Veri Silme
    await pxServ.removeData("temp");
    await pxServ.removeData("light");
    console.log("Veriler silindi.");
  } catch (err) {
    console.error("Hata:", err);
  }
})();
```

{% endtab %}
{% endtabs %}

## Örnek Çıktı

```json
Kaydetme: { "status": 200, "message": "OK", "data": {} }
Okuma: {
  "status": 200,
  "message": "OK",
  "data": {
    "lastUpdate": "2025-05-23T20:27:06.587Z",
    "icon": "defaultIcon",
    "value": "24.3°C"
  }
}
Geçiş: { "status": 200, "message": "OK", "data": {} }
Tümü: {
  "status": 200,
  "message": "OK",
  "data": {
    "temp": {
      "lastUpdate": "2025-05-23T20:27:06.587Z",
      "icon": "defaultIcon",
      "value": "24.3°C"
    },
    "light": {
      "lastUpdate": "2025-05-23T20:27:06.716Z",
      "icon": "defaultIcon",
      "value": "1"
    }
  }
}
Veriler silindi.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pxserv.net/tr/javascript-typescript-kutuphanesi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
